org.apache.lucene.search.suggest

## Class Sort.BufferSize

- java.lang.Object
- - org.apache.lucene.search.suggest.Sort.BufferSize

Enclosing class:
  Sort

    public static final class Sort.BufferSize
    extends Object

A bit more descriptive unit for constructors.

See Also:
  `automatic()`, `megabytes(long)`

### Method Summary

Methods
`static Sort.BufferSize` `automatic()` Approximately half of the currently available free heap, but no less than `Sort.ABSOLUTE_MIN_SORT_BUFFER_SIZE`.
`static Sort.BufferSize` `megabytes(long mb)` Creates a `Sort.BufferSize` in MB.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### megabytes

    public static Sort.BufferSize megabytes(long mb)

Creates a `Sort.BufferSize` in MB. The given values must be $gt; 0 and < 2048.

#### automatic

    public static Sort.BufferSize automatic()

Approximately half of the currently available free heap, but no less than `Sort.ABSOLUTE_MIN_SORT_BUFFER_SIZE`. However if current heap allocation is insufficient or if there is a large portion of unallocated heap-space available for sorting consult with max allowed heap size.